Package ru.bitel.bgbilling.plugins.cashcheck.server.bean

# Enum Class PrinterManager.PaymentPrintMode

java.lang.Object
java.lang.Enum<PrinterManager.PaymentPrintMode>
ru.bitel.bgbilling.plugins.cashcheck.server.bean.PrinterManager.PaymentPrintMode

All Implemented Interfaces:
  `Serializable`, `Comparable<PrinterManager.PaymentPrintMode>`, `Constable`

Enclosing class:
  `PrinterManager`

public static enum PrinterManager.PaymentPrintMode extends Enum<PrinterManager.PaymentPrintMode>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `auto`
  `delay`
  `manual`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static PrinterManager.PaymentPrintMode`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static PrinterManager.PaymentPrintMode[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### manual

    public static final PrinterManager.PaymentPrintMode manual

  - ### auto

    public static final PrinterManager.PaymentPrintMode auto

  - ### delay

    public static final PrinterManager.PaymentPrintMode delay

- ## Method Details

  - ### values

    public static PrinterManager.PaymentPrintMode[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static PrinterManager.PaymentPrintMode valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null